SimpleAjaxServer
Keywords: com.prolixtech.jaminid_examples.ajax.SimpleAjaxServer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.prolixtech.jaminid_examples.ajax
Class SimpleAjaxServer

    java.lang.Object
      com.prolixtech.jaminid.ContentOracle
          com.prolixtech.jaminid_examples.ajax.SimpleAjaxServer

    public class SimpleAjaxServer

extends ContentOracle

Author:
  Constantinos Michael

Field Summary
`static int` | `PORT`

Constructor Summary
`SimpleAjaxServer()`

Method Summary
`java.lang.String` | `demultiplex(Request connRequest, Response connResponse)` the main function of the oracle, is to demux the request and produce an output that is relative to the request.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class com.prolixtech.jaminid.ContentOracle
`getDelegatedOracle, Instance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT

    public static final int PORT

See Also:
  Constant Field Values

Constructor Detail

### SimpleAjaxServer

    public SimpleAjaxServer()

Method Detail

### demultiplex

    public java.lang.String demultiplex(Request connRequest,
                                        Response connResponse)

  Description copied from class: `ContentOracle`
  the main function of the oracle, is to demux the request and produce an output that is relative to the request. in this example, it is a static HTML, that is all we care about for now.

  Overrides:
    `demultiplex` in class `ContentOracle`
  Returns:
    the output

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD